Show / Hide Table of Contents

# Class OutCubic

Class providing an "OutCubic" easing animation.

##### Inheritance

System.Object
Easing
OutCubic

##### Inherited Members

Easing.Point1
Easing.Point2
Easing.EasedPoint
Easing.Value
Easing.Duration
Easing.IsRunning
Easing.IsDone
Easing.Progress
Easing.Start()
Easing.Stop()
Easing.Restart()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface.Animation.EasingFunctions

###### Assembly: Dalamud.dll

##### Syntax

    public class OutCubic : Easing

### Constructors

| Improve this Doc View Source

#### OutCubic(TimeSpan)

Initializes a new instance of the OutCubic class.

##### Declaration

    public OutCubic(TimeSpan duration)

##### Parameters

Type | Name | Description
--- | --- | ---
System.TimeSpan | duration | The duration of the animation.

### Methods

| Improve this Doc View Source

#### Update()

Updates the animation.

##### Declaration

    public override void Update()

##### Overrides

Easing.Update()